Uses of Class
io.helidon.json.JsonValue
Packages that use JsonValue
Package
Description
Common classes for accessing JSON based REST APIs of third party systems.
Helidon JSON Processor.
Helidon JSON Binding.
Helidon implementation of the
Jackson Smile binary JSON specification.
Core classes used by both the JSON-RPC server and gRPC client.
JWT (JSON web token) support.
Helidon WebClient JSON-RPC Support.
Helidon WebServer JSON-RPC Support.
-
Uses of JsonValue in io.helidon.integrations.common.rest
Methods in io.helidon.integrations.common.rest with parameters of type JsonValueModifier and TypeMethodDescriptionprotected static StringApiJsonParser.stringValue(JsonValue value) Get a string value from a json value. -
Uses of JsonValue in io.helidon.json
Subclasses of JsonValue in io.helidon.jsonModifier and TypeClassDescriptionfinal classRepresents a JSON array value containing an ordered list of JSON values.final classRepresents a JSON boolean value (true or false).final classRepresents a JSON null value.final classRepresents a JSON number value.final classRepresents a JSON object value containing key-value pairs.final classRepresents a JSON string value.Methods in io.helidon.json that return JsonValueModifier and TypeMethodDescriptionReturn the JsonValue at the specified index, or the default value if the index is out of bounds.JsonParser.readJsonValue()Reads a complete JSON value from the current position.JsonParserBase.readJsonValue()ObjectStartParser.readJsonValue()Return the value associated with the specified key, or the default value if the key is not present.Methods in io.helidon.json that return types with arguments of type JsonValueModifier and TypeMethodDescriptionJsonArray.get(int index) Return the JsonValue at the specified index as an Optional.Return the value associated with the specified key, or the empty value if the key is not present.JsonArray.values()Return an unmodifiable list of all values in this array.Methods in io.helidon.json with parameters of type JsonValueModifier and TypeMethodDescriptionstatic JsonArrayCreate a JsonArray from an array of JsonValue instances.static JsonParserCreate a new JSON parser from a pre-parsed JsonValue.Return the JsonValue at the specified index, or the default value if the index is out of bounds.Sets a JsonValue for the specified key.Return the value associated with the specified key, or the default value if the key is not present.default JsonGeneratorWrite a key-value pair with a JsonValue.Write a JsonValue.Write a key-value pair with a JsonValue.Method parameters in io.helidon.json with type arguments of type JsonValueModifier and TypeMethodDescriptionstatic JsonArrayCreate a JsonArray from a list of JsonValue instances.static JsonObjectCreate a JsonObject from a map of string keys to JsonValue instances.Sets a list of JsonValue instances for the specified key. -
Uses of JsonValue in io.helidon.json.binding
Methods in io.helidon.json.binding with parameters of type JsonValueModifier and TypeMethodDescription<T> TJsonBinding.deserialize(JsonValue jsonValue, GenericType<T> type) Deserializes a JsonValue to an object of the specified generic type.<T> TJsonBinding.deserialize(JsonValue jsonValue, Class<T> type) Deserializes a JsonValue to an object of the specified type. -
Uses of JsonValue in io.helidon.json.smile
Methods in io.helidon.json.smile that return JsonValue -
Uses of JsonValue in io.helidon.jsonrpc.core
Methods in io.helidon.jsonrpc.core that return JsonValueModifier and TypeMethodDescriptionJsonRpcParams.asJsonValue()Access all request params as a single JSON value.JsonRpcResult.asJsonValue()Access a response result as a JSON value.JsonRpcParams.get(int index) Get a single array param by index as a JSON value.Get a single param by name as a JSON value.JsonRpcResult.get(int index) Get a JSON array value by index as a JSON value.Get a JSON object property value as a JSON value.Methods in io.helidon.jsonrpc.core that return types with arguments of type JsonValueModifier and TypeMethodDescriptionJsonRpcError.data()Get the data associated with this error, if defined.JsonRpcParams.find(int index) Get a single array param by index as a JSON value, if present.Get a single param by name as a JSON value, if present.JsonRpcResult.find(int index) Get a JSON array value by index as a JSON value, if present.Get a JSON object property value as a JSON value, if present.Methods in io.helidon.jsonrpc.core with parameters of type JsonValueModifier and TypeMethodDescriptionstatic JsonRpcErrorCreate an instance from a code, a message and data.static JsonRpcParamsCreate an instance from JSON-RPC params.static JsonRpcResultCreate an instance from a JSON value.static <T> TConvert a JSON value into a Java object. -
Uses of JsonValue in io.helidon.security.jwt
Methods in io.helidon.security.jwt that return JsonValueModifier and TypeMethodDescriptionstatic JsonValueJwtUtil.toJsonValue(Object object) Create aJsonValuefrom an object.Methods in io.helidon.security.jwt that return types with arguments of type JsonValueModifier and TypeMethodDescriptionJwtHeaders.headerClaimsJson()Return map of all header claims.Jwt.headerClaimValue(String claim) Get a claim by its name from header.JwtHeaders.headerClaimValue(String claim) Get a claim by its name from header.Jwt.payloadClaimsJson()All payload claims in raw json form.Jwt.payloadClaimValue(String claim) Get a claim by its name from payload.JwtUtil.transformToJsonValue(Map<String, Object> claims) Transform a map of strings to objects to a map of string to JSON values.Methods in io.helidon.security.jwt with parameters of type JsonValue -
Uses of JsonValue in io.helidon.webclient.jsonrpc
Methods in io.helidon.webclient.jsonrpc that return types with arguments of type JsonValueModifier and TypeMethodDescriptionJsonRpcClientResponse.rpcId()Get the JSON-RPC ID set on this response.Methods in io.helidon.webclient.jsonrpc with parameters of type JsonValueModifier and TypeMethodDescriptionAdd an array param value on this request.Set a named param on this request.Set a JSON-RPC ID on this request. -
Uses of JsonValue in io.helidon.webserver.jsonrpc
Methods in io.helidon.webserver.jsonrpc that return types with arguments of type JsonValueModifier and TypeMethodDescriptionJsonRpcResponse.result()Get the result set on this response.JsonRpcRequest.rpcId()The JSON-RPC request ID, if present.JsonRpcResponse.rpcId()Get the JSON-RPC ID set on this response.Methods in io.helidon.webserver.jsonrpc with parameters of type JsonValueModifier and TypeMethodDescriptionSet a JSON-RPC error on this response with a code, a message and some associated data.Set a result for this response as a JSON value.Set a JSON-RPC ID for this response.